package com.persagy.dmp.rwd.parser.entity;

import cn.hutool.core.util.BooleanUtil;
import com.fasterxml.jackson.databind.JsonNode;
import com.persagy.dmp.define.entity.ObjectInfoDefine;
import lombok.Data;

/**
 * 信息点 处理结果
 * @author Charlie Yu
 * @date 2021-07-12
 */
@Data
public class ParserResult {

    /** 信息点定义 */
    private ObjectInfoDefine infoDefine;
    /** 信息点值 */
    private JsonNode valueInfo;

    public ParserResult(ObjectInfoDefine infoDefine, JsonNode valueInfo) {
        this.infoDefine = infoDefine;
        this.valueInfo = valueInfo;
    }

    /**
     * 是否复选
     * @return
     */
    public boolean isMulti() {
        return BooleanUtil.isTrue(infoDefine.getIsMultiple());
    }

    /**
     * 是否区间
     * @return
     */
    public boolean isRegion() {
        return BooleanUtil.isTrue(infoDefine.getIsRegion());
    }
}
